package com.ssj.service.conch.teacher.app.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.ssj.framework.weixin.util.DateUtil;

import java.io.Serializable;
import java.util.Date;

/**
 * @author yrf
 * @date 2019/7/16 17:40
 */
public class ErrorWarnDTO implements Serializable {

    private static final long serialVersionUID = 4418447983750765984L;

    private String homeworkPictureId;
    private String subject;
    private String pictureUrl;
    private String imgUrl;
    private String childName;
    private String errorReason;
    private String checker;

    @JSONField(format = "yyyy-MM-dd")
    private Date checkDate;
    private String week;

    public String getHomeworkPictureId() {
        return homeworkPictureId;
    }

    public void setHomeworkPictureId(String homeworkPictureId) {
        this.homeworkPictureId = homeworkPictureId;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getPictureUrl() {
        return pictureUrl;
    }

    public void setPictureUrl(String pictureUrl) {
        this.pictureUrl = pictureUrl;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public String getChildName() {
        return childName;
    }

    public void setChildName(String childName) {
        this.childName = childName;
    }

    public String getErrorReason() {
        return errorReason;
    }

    public void setErrorReason(String errorReason) {
        this.errorReason = errorReason;
    }

    public String getChecker() {
        return checker;
    }

    public void setChecker(String checker) {
        this.checker = checker;
    }

    public Date getCheckDate() {
        return checkDate;
    }

    public void setCheckDate(Date checkDate) {
        this.checkDate = checkDate;
    }

    public String getWeek() {
        if (checkDate != null) {
            return DateUtil.getWeekDateToStr(checkDate);
        }
        return "";
    }
}
